from pydantic import BaseModel
from datetime import datetime


class TutorMessageBase(BaseModel):
    message_type: str
    content: str


class TutorMessageCreate(TutorMessageBase):
    session_id: int


class TutorMessage(TutorMessageBase):
    id: int
    session_id: int
    created_at: datetime

    class Config:
        from_attributes = True